Subject: Re: Making Vars outer-join aware

From: Tom Lane <[email-masked]>
Date: Tue, 24 Jan 2023 10:30:42 -0500

Hans Buschmann <[email-masked]> writes:
> I just noticed your new efforts in this area.
> I wanted to recurr to my old thread [1] considering constant propagation of quals.
> [1]  https://www.postgresql.org/message-id/[email-masked]

Yeah, this patch series is not yet quite up to the point of improving
that.  That area is indeed the very next thing I want to work on, and
I did spend some effort on it last month, but I ran out of time to get
it working.  Maybe we'll have something there for v17.

			regards, tom lane